db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Sunitha Kambhampati (JIRA)" <derby-...@db.apache.org>
Subject [jira] Updated: (DERBY-1756) Revert change in client that defaults the secmec to eusridpwd.
Date Thu, 31 Aug 2006 20:24:27 GMT
     [ http://issues.apache.org/jira/browse/DERBY-1756?page=all ]

Sunitha Kambhampati updated DERBY-1756:
---------------------------------------

    Attachment: derby1756.diff.txt
                derby1756.stat.txt

with derby-962 changes, if client jvm supports EUSRIDPWD then the client would use EUSRIDPWD
as the security mechanism.  But it is possible that the server jvm might not support EUSRIDPWD
and the connection can fail. 
When DERBY-1517, DERBY-1755 is fixed, there might be a way to use EUSRIDPWD when both client
and server vm's have support for it.

This patch does the following:
-- Do not use EUSRIDPWD as the default security mechanism even if the client vm can support
it.
-- Fix comments in testSecMec.java.
-- Existing tests in testSecMec.java cover this codepath and the master file output reflects
the changes made.  Note, only the ibm14 client master file has changed since only ibm141 and
greater jvms come with jce that can support eusridpwd.

Ran derbyall on ibm142/linux ok.

Can someone please commit this change. Thanks. 

fwiw, I also ran the testSecMec.java test on my windows machine with ibm142/ibm15/sun142/sun15
and this test passed in one run all ok. But in one run hit derby-1793 for the 131 vms and
the sun142/sun15 vms. I dont think this is related to this change. 


> Revert change in client that defaults the secmec to eusridpwd.
> --------------------------------------------------------------
>
>                 Key: DERBY-1756
>                 URL: http://issues.apache.org/jira/browse/DERBY-1756
>             Project: Derby
>          Issue Type: Bug
>          Components: Network Client
>    Affects Versions: 10.2.1.0
>            Reporter: Sunitha Kambhampati
>         Assigned To: Sunitha Kambhampati
>             Fix For: 10.2.1.0
>
>         Attachments: derby1756.diff.txt, derby1756.stat.txt
>
>
> With changes to derby-962, the client would default to eusridpwd if the client jvm supports
it.  It is not sufficient to only check if client jvm can support eusridpwd  but we need to
verify if the server can support the particular secmec.  
> There are other existing jiras DERBY-1675,DERBY-1517,DERBY-1755 that will help to address
the issue of  upgrading to a better security mechanism.
> This jira will change the default security mechanism to 3 as it was before derby-962
changes.

-- 
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators: http://issues.apache.org/jira/secure/Administrators.jspa
-
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message